org.eclipse.emf.facet.custom.edit.ui

## Interface IEditingDomainPropertySheetPageFactory

    public interface IEditingDomainPropertySheetPageFactory

Factory for `EditingDomainPropertySheetPage`.

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IEditingDomainPropertySheetPageFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`IPropertySheetPage` `createPropertySheetPage(AdapterFactoryEditingDomain editingDomain, IFacetManager facetManager, ICustomizationManager customManager, IEditorPart part)`
`IPropertySheetPage` `createPropertySheetPage(IEditorPart editorPart)`

### Field Detail

#### DEFAULT

    static final IEditingDomainPropertySheetPageFactory DEFAULT

### Method Detail

#### createPropertySheetPage

    IPropertySheetPage createPropertySheetPage(IEditorPart editorPart)

#### createPropertySheetPage

    IPropertySheetPage createPropertySheetPage(AdapterFactoryEditingDomain editingDomain,
                                               IFacetManager facetManager,
                                               ICustomizationManager customManager,
                                               IEditorPart part)